commit:     2fc91a64c86849c2fdb775c6a9babb45b2d2b6d0
Author:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
AuthorDate: Sun Jun 22 19:09:30 2014 +0000
Commit:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
CommitDate: Sun Jun 22 19:09:30 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=2fc91a64

fix pkg_setup regression

---
 dev-ml/zarith/ChangeLog           |  8 ++++++++
 dev-ml/zarith/zarith-1.2.1.ebuild | 15 ++++++++++-----
 2 files changed, 18 insertions(+), 5 deletions(-)

diff --git a/dev-ml/zarith/ChangeLog b/dev-ml/zarith/ChangeLog
index a521a07..2868b84 100644
--- a/dev-ml/zarith/ChangeLog
+++ b/dev-ml/zarith/ChangeLog
@@ -2,10 +2,18 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  22 Jun 2014; Jonathan-Christofer Demay <jcde...@gmail.com>
+  zarith-1.2.1.ebuild:
+  fix regression of pkg_setup
+  
   10 Jun 2014; Jonathan-Christofer Demay <jcde...@gmail.com>
   -zarith-1.1.ebuild, +zarith-1.2.1.ebuild:
   version bump
 
+  03 Mar 2013; Justin Lecher <j...@gentoo.org>
+  zarith-1.1.ebuild, metadata.xml:
+  Clean wrong space and blank lines; move EAPI=5
+
   14 Jan 2013; Jonathan-Christofer Demay <jcde...@gmail.com>
   +zarith-1.1.ebuild:
   initial commit

diff --git a/dev-ml/zarith/zarith-1.2.1.ebuild 
b/dev-ml/zarith/zarith-1.2.1.ebuild
index 90b5183..1603ad3 100644
--- a/dev-ml/zarith/zarith-1.2.1.ebuild
+++ b/dev-ml/zarith/zarith-1.2.1.ebuild
@@ -20,14 +20,19 @@ DEPEND=">=dev-lang/ocaml-3.12.1[ocamlopt?]
                mpir? ( sci-libs/mpir )"
 RDEPEND="${DEPEND}"
 
+pkg_setup() {
+         OCAMLDIR=$(ocamlc -where)
+}
+
 src_prepare(){
-       sed -i ${S}/project.mak -e "s:(OCAMLFIND) install:(OCAMLFIND) install 
-ldconf \$(INSTALLDIR)/ld.conf:g"
+       sed -e "s:(OCAMLFIND) install:(OCAMLFIND) install -ldconf 
\$(INSTALLDIR)/ld.conf:g" \
+               -i ${S}/project.mak
 }
 
 src_configure(){
-       MY_OPTS="-ocamllibdir /usr/$(get_libdir) -installdir 
${D}/usr/$(get_libdir)/ocaml"
+       MY_OPTS="-ocamllibdir /usr/$(get_libdir) -installdir ${D}/${OCAMLDIR}"
        use mpir && MY_OPTS="${MY_OPTS} -mpir"
-       ./configure ${MY_OPTS}|| die || die "configure failed"
+       ./configure ${MY_OPTS} || die "configure failed"
 }
 
 src_compile(){
@@ -37,9 +42,9 @@ src_compile(){
 
 src_install(){
        findlib_src_preinst
-       cp /usr/$(get_libdir)/ocaml/ld.conf ${D}/usr/$(get_libdir)/ocaml/ld.conf
+       cp ${OCAMLDIR}/ld.conf ${D}/${OCAMLDIR}/ld.conf
        emake install || die "emake install failed"
-       rm -f ${D}/usr/$(get_libdir)/ocaml/ld.conf
+       rm -f ${D}/${OCAMLDIR}/ld.conf
        dodoc Changes README
        use doc && dodoc -r html/
 }

Reply via email to